Package org.apache.commons.math3.optimization

# Class AbstractConvergenceChecker<PAIR>

java.lang.Object
org.apache.commons.math3.optimization.AbstractConvergenceChecker<PAIR>

Type Parameters:
  `PAIR` - Type of (point, value) pair.

All Implemented Interfaces:
  `ConvergenceChecker<PAIR>`

Direct Known Subclasses:
  `SimplePointChecker`, `SimpleUnivariateValueChecker`, `SimpleValueChecker`, `SimpleVectorValueChecker`

@Deprecated public abstract class AbstractConvergenceChecker<PAIR> extends Object implements ConvergenceChecker<PAIR>
Deprecated.
As of 3.1 (to be removed in 4.0).
Base class for all convergence checker implementations.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`AbstractConvergenceChecker()`
Deprecated.
in 3.1 (to be removed in 4.0).
`AbstractConvergenceChecker(double relativeThreshold, double absoluteThreshold)`
Deprecated.
Build an instance with a specified thresholds.

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`converged(int iteration, PAIR previous, PAIR current)`
Deprecated.
Check if the optimization algorithm has converged.
`double`
`getAbsoluteThreshold()`
Deprecated.
`double`
`getRelativeThreshold()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractConvergenceChecker

@Deprecated public AbstractConvergenceChecker()
Deprecated.
in 3.1 (to be removed in 4.0). Convergence thresholds are problem-dependent. As this class is intended for users who want to set their own convergence criterion instead of relying on an algorithm's default procedure, they should also set the thresholds appropriately (cf. MATH-798).
Build an instance with default thresholds.

### AbstractConvergenceChecker

public AbstractConvergenceChecker(double relativeThreshold, double absoluteThreshold)
Deprecated.
Build an instance with a specified thresholds.

Parameters:
  `relativeThreshold` - relative tolerance threshold
  `absoluteThreshold` - absolute tolerance threshold

## Method Details

### getRelativeThreshold

public double getRelativeThreshold()
Deprecated.

Returns:
  the relative threshold.

### getAbsoluteThreshold

public double getAbsoluteThreshold()
Deprecated.

Returns:
  the absolute threshold.

### converged

public abstract boolean converged(int iteration, PAIR previous, PAIR current)
Deprecated.
Check if the optimization algorithm has converged.

Specified by:
  `converged` in interface `ConvergenceChecker<PAIR>`
Parameters:
  `iteration` - Current iteration.
  `previous` - Best point in the previous iteration.
  `current` - Best point in the current iteration.
Returns:
  `true` if the algorithm is considered to have converged.